
%global develname %mklibname %{name} -d

Summary:	Irssi is an IRC client
Name:		irssi
Version:	1.1.1
Release: 	%mkrel 1
License:	GPL
Group:		Networking/IRC
BuildRequires:	glib2-devel ncurses-devel perl-devel openssl-devel
URL:		http://irssi.org/
Source0:	https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

%description
Irssi is a modular and flexible IRC client for UNIX that has only a text mode
user interface (but as 80-90% of the code isn't text mode specific, other UIs
could be created pretty easily). Also, Irssi isn't really even IRC specific
anymore, there are already working SILC and ICB modules available. Support for
other protocols like ICQ and Jabber could be created some day too.

Irssi is one of the most popular IRC clients at the moment.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Static libraries for the development of irssi applications
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{develname}
Static libraries for the development of irssi applications.

%package	perl
Group:		Networking/IRC
Summary:	Perl plugin for irssi
Requires:	%{name} = %{version}
Conflicts:	perl-silc

%description	perl
Perl plugin for irssi.

%prep
%setup -q

%build

%configure2_5x \
	--disable-static \
	--with-proxy \
	--with-socks \
	--with-bot \
	--with-perl=module \
	--with-perl-lib=%{perl_vendorlib} \
	--enable-true-color

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod
rm -rf %{buildroot}%{_docdir}/%{name}
rm -rf %{buildroot}%{_libdir}/%{name}/modules/*.la

%multiarch_includes %{buildroot}%{_includedir}/%{name}/irssi-config.h

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/*/*/*.so
chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Irssi/*.so

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS README.md TODO NEWS docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libfe_perl.*
%exclude %{_libdir}/%{name}/modules/libperl_core.*
%{_libdir}/%{name}/modules/*.so
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%multiarch %{multiarch_includedir}/%{name}

%files perl
%defattr(-,root,root)
%{_libdir}/%{name}/modules/libfe_perl.so
%{_libdir}/%{name}/modules/libperl_core.so
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*

%changelog
* Sat Feb 17 2018 bb2 <bb2> - 1.1.1-1pclos2018
- new version

* Sun Jan 14 2018 bb2 <bb2> - 1.0.6-2pclos2018
- adjust devel package

* Wed Jan 10 2018 bb2 <bb2> - 1.0.6-1pclos2018
- new version

* Mon Mar 13 2017 bb2 <bb2> - 1.0.2-1pclos2017
- new version

* Sat Feb 11 2017 bb <bb> 1.0.1-1pclos2017
- new version

* Tue Jan 10 2017 bb <bb> 0.8.21-1pclos2017
- new version

